import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Dids from "../Public/Dids"
import Pub from "../Public"

export default class Bftdcr{
    constructor () {
        this.data = {
						bfdgrp:{
							cbs:{
								max:{
									cur:"",			//  单据金额		.bfdgrp.cbs.max.cur
									amt:"",			//  单据金额		.bfdgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.bfdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.bfdgrp.cbs.max2.amt
								},
								opn1:{
									cur:"",			//  单据余额		.bfdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.bfdgrp.cbs.opn1.amt
								},
							},
							blk:{
								chaded:"",			//  Charges Deducted		.bfdgrp.blk.chaded
								chaadd:"",			//  Charges Added		.bfdgrp.blk.chaadd
								docdis:"",			//  Discrepancies		.bfdgrp.blk.docdis
								docdisflg:"",			//  Discrepancies modified		.bfdgrp.blk.docdisflg
								nartxt77a:"",			//  Narrative TAG 77A of Incoming MT754		.bfdgrp.blk.nartxt77a
								intdis:"",			//  Internal Discrepancies		.bfdgrp.blk.intdis
							},
							rec:{
								totcur:"",			//  Total Amount Claimed		.bfdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.bfdgrp.rec.totamt
								totdat:"",			//  付款日期		.bfdgrp.rec.totdat
								ownref:"",			//  单据参考号		.bfdgrp.rec.ownref
								doctypcod:"",			//  单据类型		.bfdgrp.rec.doctypcod
								matdat:"",			//  远期单据到期日		.bfdgrp.rec.matdat
								rcvdat:"",			//  到单日期		.bfdgrp.rec.rcvdat
								predat:"",			//  Presentation Date		.bfdgrp.rec.predat
								docsta:"",			//  单据状态		.bfdgrp.rec.docsta
								nam:"",			//  Externally Displayed Name to Identify the Contract		.bfdgrp.rec.nam
								advdocflg:"",			//  Return of Documents		.bfdgrp.rec.advdocflg
								payrol:"",			//  Payer		.bfdgrp.rec.payrol
								docprbrol:"",			//  Presented by		.bfdgrp.rec.docprbrol
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.acb.namelc
								adrelc:"",			//  地址		.bfdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.acb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.rmb.namelc
								adrelc:"",			//  地址		.bfdgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.rmb.dbfadrblkcn
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bfdgrp.prb.namelc
								adrelc:"",			//  地址		.bfdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bfdgrp.prb.dbfadrblkcn
							},
							iss:{
								pts:new Pts().data,
							},
							apl:{
								pts:new Pts().data,
							},
							oth:{
								pts:new Pts().data,
							},
						},
						bftp:{
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							bebp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.bebp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.bebp.ptsget.sdamod.dadsnd
									},
								},
							},
							dedget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bftp.dedget.sdamod.dadsnd
									seainf:"",			//  		.bftp.dedget.sdamod.seainf
								},
							},
							recget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.bftp.recget.sdamod.dadsnd
									seainf:"",			//  		.bftp.recget.sdamod.seainf
								},
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bftp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bftp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							docgrdm:{
								docdsclab:"",			//  Label of document description		.bftp.docgrdm.docdsclab
							},
						},
						dedgrp:{
							beb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.dedgrp.beb.namelc
								adrelc:"",			//  地址		.dedgrp.beb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.dedgrp.beb.dbfadrblkcn
							},
							rec:{
								ownref:"",			//  参考号		.dedgrp.rec.ownref
								kzref:"",			//  信用证编号		.dedgrp.rec.kzref
							},
							cbs:{
								opn1:{
									cur:"",			//  Currency		.dedgrp.cbs.opn1.cur
									amt:"",			//  Balance		.dedgrp.cbs.opn1.amt
								},
							},
						},
						advrefflg:"",			//  Advice of Refusal MT734		.advrefflg
						mtabut:{
							clsflg:"",			//  Close Flag		.mtabut.clsflg
						},
						advdisflg:"",			//  Advice of Discrepancy MT750		.advdisflg
						trnmod:{
							trndoc:{
								addstr750:"",			//  给受益人信息		.trnmod.trndoc.addstr750
							},
						},
						rejpenins:"",			//  Rejection pending instructions		.rejpenins
						pageId: "",			// ctx的key
						setmod: new Pub().data.Setmod,
			            mtabut: new Pub().data.Mtabut,
			            trnmod: new Pub().data.Trnmod,
			            liaall: new Pub().data.Liaall
				}
    }
}