import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Infdid{
    constructor () {
        this.data = {
						infcon:{
							seaownref:"",			//  Own Reference		.infcon.seaownref
							nam:"",			//  Name		.infcon.nam
							searef:"",			//  Party Reference		.infcon.searef
							pty:{
								extkey:"",			//  Select Single Party		.infcon.pty.extkey
								nam:"",			//  External Visible Name		.infcon.pty.nam
							},
							seapty:"",			//  Party Name/BIC		.infcon.seapty
							searol:"",			//  Role		.infcon.searol
							opndatfrom:"",			//  Opening between		.infcon.opndatfrom
							opndatto:"",			//  Open Date to		.infcon.opndatto
							usr:{
								extkey:"",			//  User ID		.infcon.usr.extkey
							},
							seasta:"",			//  Status		.infcon.seasta
							seacur:"",			//  Currency		.infcon.seacur
							seaamtfr:"",			//  Amount between		.infcon.seaamtfr
							seaamtto:"",			//  Amount to		.infcon.seaamtto
							relflg:"",			//  Release Status		.infcon.relflg
							cxmflg:"",			//  是否显示查询码		.infcon.cxmflg
							hndtyp:"",			//  Handling Type		.infcon.hndtyp
							chksubcon:"",			//  incl. all subcontracts		.infcon.chksubcon
							chktrnsta:"",			//  only active transactions		.infcon.chktrnsta
							trnstm:"",			//  stream for TRN to selected contract		.infcon.trnstm
							cbctxt:"",			//  CBS Column		.infcon.cbctxt
							cbbstm:"",			//  stream of CBBs		.infcon.cbbstm
							cbestm:"",			//  stream of CBEs		.infcon.cbestm
							feptxtlbl:"",			//  label used on FEP-Panel		.infcon.feptxtlbl
							fcptxtlbl:"",			//  Text label used on FCP-panel		.infcon.fcptxtlbl
							fepfeecod:"",			//  Fee Code		.infcon.fepfeecod
							fepdsp:"",			//  Disposition		.infcon.fepdsp
							fepstm:"",			//  stream for FEPs to selected contract		.infcon.fepstm
							fcpstm:"",			//  stream of foreign charges		.infcon.fcpstm
							fcpdsp:"",			//  Disposition		.infcon.fcpdsp
							setflg:"",			//  show temporary settlement that already settled		.infcon.setflg
							sepdelflg:"",			//  show temporary settlement that already deleted		.infcon.sepdelflg
							sepstm:"",			//  stream of SEPs		.infcon.sepstm
							seabucdatfro:"",			//  Booking date from		.infcon.seabucdatfro
							seabucdatto:"",			//  Booking date till used on GLEINFP		.infcon.seabucdatto
							seatrninr:"",			//  Transaction INR		.infcon.seatrninr
							glestm:"",			//  Stream of GLEs		.infcon.glestm
							smhcortyp:"",			//  Type of Document		.infcon.smhcortyp
							smhdatfrom:"",			//  Created between 		.infcon.smhdatfrom
							smhdatto:"",			//  created till		.infcon.smhdatto
							smhdir:"",			//  Direction		.infcon.smhdir
							chktrn:"",			//  Active only		.infcon.chktrn
							smhstm:"",			//  stream of documents to selected contract		.infcon.smhstm
							sptinc:"",			//  Incoming		.infcon.sptinc
							sptreg:"",			//  Registered		.infcon.sptreg
							sptpen:"",			//  Pending		.infcon.sptpen
							sptcor:"",			//  Correction		.infcon.sptcor
							sptdel:"",			//  Deleted		.infcon.sptdel
							sptstm:"",			//  stream for SPT to selected contract		.infcon.sptstm
							diadatfrom:"",			//  Date from		.infcon.diadatfrom
							diadatto:"",			//  date till		.infcon.diadatto
							diasta:"",			//  Status		.infcon.diasta
							diastm:"",			//  stream for diaries to selected contract		.infcon.diastm
							liastm:"",			//  Stream for all engagements to selected contract		.infcon.liastm
							ordstm:"",			//  Stream for Orders for Contract		.infcon.ordstm
							objinr:"",
						},
						seacnfdet:"",			//  Confirmation Status		.seacnfdet
						sealcrtyp:"",			//  form of L/C		.sealcrtyp
						infbut:{
							dspstm:"",			//  display stream		.infbut.dspstm
						},
						jyqflg:"",			//  假远期信用证		.jyqflg
						mylx:"",			//  贸易类型		.mylx
						elcflg:"",			//  是否通过电证系统		.elcflg
						didgrp:{
							rec:{
								ownref:"",			//  Reference		.didgrp.rec.ownref
								opndat:"",			//  Date L/C Opened/Issued		.didgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
								nam:"",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
								resflg:"",			//  Reserved Contract		.didgrp.rec.resflg
								nomtop:"",			//  Amount Tolerance - Positive		.didgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.didgrp.rec.nomton
								expplc:"",			//  Place of Expiry		.didgrp.rec.expplc
								elcflg:"",			//  是否通过电证系统		.didgrp.rec.elcflg
								guaflg:"",			//  货押标识		.didgrp.rec.guaflg
								jyqflg:"",			//  假远期信用证		.didgrp.rec.jyqflg
								mytype:"",			//  槸易类型		.didgrp.rec.mytype
								dkflg:"",			//  开证类型		.didgrp.rec.dkflg
								idcode:"",			//  申请人统一社会信用代码		.didgrp.rec.idcode
								avbby:"",			//  Available by		.didgrp.rec.avbby
								shppar:"",			//  Partial Shipment		.didgrp.rec.shppar
								shptrs:"",			//  Transshipment		.didgrp.rec.shptrs
								conno:"",			//  合同编号		.didgrp.rec.conno
								concur:"",			//  合同币种		.didgrp.rec.concur
								shpfro:"",			//  Shipment from		.didgrp.rec.shpfro
								shpto:"",			//  For Transportation to		.didgrp.rec.shpto
								shppro:"",			//  服务提供地点		.didgrp.rec.shppro
								tenmaxday:"",			//  Maximum tenor in days		.didgrp.rec.tenmaxday
								tratyp:"",			//  运输方式		.didgrp.rec.tratyp
								fqtime:"",			//  分期时镧表		.didgrp.rec.fqtime
								sdsrfs:"",			//  输入运输方式		.didgrp.rec.sdsrfs
								fqzytgfw:"",			//  分期装运/提供服务		.didgrp.rec.fqzytgfw
								conamt:"",			//  合同金额		.didgrp.rec.conamt
								redclsflg:"",			//  Red/Green Clause		.didgrp.rec.redclsflg
								tzref:"",			//  通知行编号		.didgrp.rec.tzref
								avbwth:"",			//  指定的有关银行  		.didgrp.rec.avbwth
								fenctg:"",			//  是否可议付		.didgrp.rec.fenctg
								bdflg:"",			//  是否可保兑		.didgrp.rec.bdflg
								lcrtyp:"",			//  Form of Documentary Credit		.didgrp.rec.lcrtyp
								inr:"",
							},
							cbs:{
								nom1:{
									cur:"",			//  Currency		.didgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.didgrp.cbs.max.cur
									amt:"",			//  信用证最大金额		.didgrp.cbs.max.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.apl.namelc
								adrelc:"",			//  地址		.didgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.ben.namelc
								adrelc:"",			//  地址		.didgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.ben.dbfadrblkcn
							},
							beb:{
								pts:new Pts().data,
							},
							apb:{
								pts:new Pts().data,
							},
							blk:{
								defdet:"",			//  Deferred Payment Details		.didgrp.blk.defdet
								preper:"",			//  Presentation Period		.didgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.didgrp.blk.preperflg
								lcrgod:"",			//  Description of Goods		.didgrp.blk.lcrgod
								lcrdoc:"",			//  单据要求		.didgrp.blk.lcrdoc
								adlcnd:"",			//  附加条款		.didgrp.blk.adlcnd
								insbnk:"",			//  付行的指示		.didgrp.blk.insbnk
								stamet:"",			//  声明		.didgrp.blk.stamet
							},
							adv:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							apc:{
								pts:new Pts().data,
							},
							avb:{
								pts:new Pts().data,
							},
							cmb:{
								pts:new Pts().data,
							},
							rmb:{
								pts:new Pts().data,
							},
						},
						recpan:{
							recget:{
								sdamod:{
									seainf:"",			//  		.recpan.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.recpan.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  User ID		.recpan.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.recpan.usrget.sdamod.seainf
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.recpan.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.recpan.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							zchday:"",			//  最迟装运/服务提供日		.recpan.zchday
							amt:"",			//  大写金额		.recpan.amt
							msgtyp:"",			//  报文类型		.recpan.msgtyp
							fenzhu:"",			//  分期装运		.recpan.fenzhu
							hwzydi:"",			//  槧运装运地/服务提供低		.recpan.hwzydi
							sdysfs:"",			//  手输运输方式/服务提供方式		.recpan.sdysfs
							hwfwms:"",			//  槧物/服务描述		.recpan.hwfwms
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						prtpanblk:"",			//  XMLPanel prtpan的内置block		.prtpanblk
						pageId: ""			// ctx的key
				}
    }
}