import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Litdav{
    constructor () {
        this.data = {
						lidgrp:{
							rec:{
								ownref:"",			//  参考号		.lidgrp.rec.ownref
								nam:"",			//  简略信息		.lidgrp.rec.nam
								revflg:"",			//  Revolving Flag		.lidgrp.rec.revflg
								avbby:"",			//  Available by		.lidgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.lidgrp.rec.redclsflg
								opndat:"",			//  开证日期		.lidgrp.rec.opndat
								shpdat:"",			//  最迟装运日期		.lidgrp.rec.shpdat
								expdat:"",			//  到期日/到期地点		.lidgrp.rec.expdat
								expplc:"",			//  到期日/到期地点		.lidgrp.rec.expplc
								lcrtyp:"",			//  信用证类型		.lidgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  信用证金额		.lidgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.lidgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.lidgrp.cbs.opn1.cur
									amt:"",			//  Balance		.lidgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  指定银行		.lidgrp.avbnam
						},
						brtp:{
							lidget:{
								sdamod:{
									seainf:"",			//  		.brtp.lidget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.lidget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.brtp.aammod.addamtflg
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.brtp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.brtp.recget.sdamod.dadsnd
								},
							},
							setnowflg:"",			//  Register to Send and Settle Document		.brtp.setnowflg
							dcrflg:"",			//  Register to Handle Discrepancies		.brtp.dcrflg
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							bebp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.brtp.bebp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.brtp.bebp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						brdgrp:{
							apl:{
								pts:new Pts().data,
							},
							ben:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.prb.namelc
								adrelc:"",			//  地址		.brdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.prb.dbfadrblkcn
							},
							rec:{
								ownref:"",			//  Document Reference		.brdgrp.rec.ownref
								advtyp:"",			//  Type of Advice		.brdgrp.rec.advtyp
								advdat:"",			//  Payment advised on		.brdgrp.rec.advdat
								disdat:"",			//  Discrep. advised on		.brdgrp.rec.disdat
								docprbrol:"",			//  Presented by		.brdgrp.rec.docprbrol
								nam:"",			//  Name		.brdgrp.rec.nam
								totcur:"",			//  Total Amount Claimed		.brdgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.brdgrp.rec.totamt
								totdat:"",			//  Date to be Paid		.brdgrp.rec.totdat
							},
							cbs:{
								max:{
									cur:"",			//  Document Amount		.brdgrp.cbs.max.cur
									amt:"",			//  Balance		.brdgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.brdgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.brdgrp.cbs.max2.amt
								},
							},
							blk:{
								chaded:"",			//  Charges Deducted		.brdgrp.blk.chaded
								chaadd:"",			//  Charges		.brdgrp.blk.chaadd
								docdis:"",			//  不符点		.brdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.brdgrp.blk.docdisflg
								nartxt77a:"",			//  Narrative TAG 77A of MT754		.brdgrp.blk.nartxt77a
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.acb.namelc
								adrelc:"",			//  地址		.brdgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.acb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.rmb.namelc
								adrelc:"",			//  地址		.brdgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.rmb.dbfadrblkcn
							},
							beb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.brdgrp.beb.namelc
								adrelc:"",			//  地址		.brdgrp.beb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.brdgrp.beb.dbfadrblkcn
							},
						},
						setmod:{
							docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
							retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
							ref:"",			//  our reference		.setmod.ref
							doccur:"",			//  document currency		.setmod.doccur
							docamt:"",			//  document amount		.setmod.docamt
							dspflg:"",			//  Type of settlement		.setmod.dspflg
							xreflg:"",			//  Recalculate Rates		.setmod.xreflg
							setglg:{
								labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
								setgll:[]
							},
							zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
							zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
							setfog:{
								setfol:[]
							},
							setfeg:{
								setfel:[]
							},
							glemod:{
								gleshwstm: {}
							}
						},
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						trnmod:{
							trndoc:{
								advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
								amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
								advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
								advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
								amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
								doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
								doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
								shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
								shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
								condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
								rcvatt:{
									seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
								},
								doceot:[],
								filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
							},
						},
						liaall:{
							limmod:{
								limpts:{
									wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
									othlab:"",			//  Label		.liaall.limmod.limpts.othlab
									othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
									wrk:{
										pts:new Pts().data,
									},
									oth:{
										pts:new Pts().data,
									},
									lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
									nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
									pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
									nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
									pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
								},
								wrkp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
										},
									},
								},
								othp:{
									ptsget:{
										sdamod:{
											dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
											seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
										},
									},
								},
								ownref:"",			//  国结业务编号		.liaall.limmod.ownref
								comamt:"",			//  业务余额		.liaall.limmod.comamt
								ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
								ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
							},
						},
						pageId: ""			// ctx的key
				}
    }
}